---
url: /orchestration/reference/operations/QueryWorkflows.md
description: 'GET /v2/consumer/workflows — Query workflows'
---

> Documentation index: https://developer.civitai.com/llms.txt — every page on this site has a markdown version at its URL + `.md`.

# Query workflows

`GET https://orchestration.civitai.com/v2/consumer/workflows`

Operation `QueryWorkflows` · Workflows · Civitai Orchestration API, generated from the published OpenAPI spec ([v2-consumers.json](https://developer.civitai.com/openapi/v2-consumers.json)); the interactive HTML page is this URL without `.md`.

## Authentication

Send `Authorization: Bearer <token>` (the spec's `ApiKey` scheme); this operation documents `401 Unauthorized` for a missing or invalid token. See [Authentication](https://developer.civitai.com/orchestration/guide/authentication.md).

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `cursor` | query | string | no | An optional cursor to continue querying workflows from a previous query. |
| `take` | query | integer (int32) | no | (default `100`) |
| `tags` | query | array of string | no |  |
| `excludeTags` | query | array of string | no | An optional list of tags; workflows with any of these tags are excluded |
| `query` | query | string | no | An optional additional query that is used to match workflows through metadata |
| `ascending` | query | boolean | no | Whether to return data from oldest to newest |
| `hideMatureContent` | query | boolean | no | When set to true, any blob that has mature won't be available and won't have a URL. (default `true`) |
| `fromDate` | query | string (date-time) | no | An optional start date to filter workflows created on or after this date |
| `toDate` | query | string (date-time) | no | An optional end date to filter workflows created on or before this date |
| `excludeFailed` | query | boolean | no | When set to true, excludes workflows with Failed, Expired, or Canceled status. (default `false`) |
| `Accept` | header | string | no | Specify 'application/zip' to get the response as a zip file |

## Responses

### 200 OK

Content types: `application/json`, `application/zip`.

For `application/json`:

Schema `CursedArrayOfTelemetryCursorAndWorkflow`.

| Field | Type | Required | Description |
|---|---|---|---|
| `next` | string | yes |  |
| `items` | array of `Workflow` | yes |  |

For `application/zip`:

Type: string (binary).

### 401 Unauthorized

Content type: `application/json`.

Schema `ProblemDetails`.

| Field | Type | Required | Description |
|---|---|---|---|
| `type` | string, nullable | no |  |
| `title` | string, nullable | no |  |
| `status` | integer (int32), nullable | no |  |
| `detail` | string, nullable | no |  |
| `instance` | string, nullable | no |  |
